> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Get specific immigration case details 

GET https://api.letsdeel.com/rest/immigration/workers/cases/{case_id}

Get detailed information for a specific immigration case. Use this to check case status and track process progress. The id path parameter is the case UUID returned from the 'Create Client Case' endpoint. Response is enriched with applicant profile, visa type, case status, estimated completion date, process details, and compliance document details.

 **Token scopes**: `worker:read`

Reference: https://developer.deel.com/api/endpoints/immigration/get-worker-case

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `case_id` (string, required) — Filter by case ID

## Response

### 200

Successful operation.

- `data` (ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `errors` (list of ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaData

- `id` (string, optional) — Unique identifier of immigration case.
- `status` (enum, optional) — Status of the immigration case.
  - Allowed values: `OPEN`, `CLOSED`, `ON_HOLD`
- `process` (ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaDataProcess, optional) — The current active process
- `contract` (ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaDataContract, optional) — The contract associated with the returned immigration case
- `applicant` (ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaDataApplicant, optional, nullable) — The employee for which this Right to Work case has been created for
- `case_type` (string, optional) — Type of the case.
- `documents` (list of ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaDataDocumentsItems, optional) — A list of documents associated to the immigration case
- `visa_type` (string, optional, nullable) — The type of the visa.
- `created_at` (string, optional) — Creation date of the immigration case.
- `updated_at` (string, optional) — Last activity on the immigration case.
- `country_code` (string, optional) — The country of the immigration case.
- `estimated_completion_date` (string, optional, nullable) — Estimated completion date of the immigration case.

### ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Machine-readable error code
- `message` (string, optional) — Human-readable explanation of the error

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaDataProcess

The current active process

- `id` (string, optional) — Unique identifier of the current active process.
- `name` (string, optional) — Name of the current active process.
- `status` (string, optional) — Status of the current active process.
- `rejection_note` (string, optional) — A detailed description of why the case was rejected. Only available if the case status is REJECTED.
- `rejection_reason` (string, optional) — The reason why the case was rejected. Only available if the case status is REJECTED.

### ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaDataContract

The contract associated with the returned immigration case

- `id` (string, optional, nullable) — Id of the contract associated with the immigration case

### ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaDataApplicant

The employee for which this Right to Work case has been created for

- `id` (string, optional) — Unique identifier of the applicant profile id.
- `external_id` (string, optional, nullable) — External identifier of the applicant (from partner system or third party).

### ImmigrationWorkersCasesCaseIdGetResponsesContentApplicationJsonSchemaDataDocumentsItems

- `id` (string, optional) — Unique identifier of the document.
- `status` (enum, optional) — Status of the document.
  - Allowed values: `IN_REVIEW`, `ACTIVE`, `EXPIRED`, `EXPIRING`, `PENDING`, `REJECTED`, `COMPLETED`, `FAILED`, `PROCESSING`, `UNKNOWN`
- `document_type` (string, optional, nullable) — The type of the document. Represents the visa type for right to work cases.
- `expiration_date` (string, optional, nullable) — Expiry date of the document. If document does not expire, it will be null

## Examples

**Response**

```json
{
  "data": {
    "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
    "status": "OPEN",
    "process": {
      "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
      "name": "Eligibility Check",
      "status": "Verify your Identity",
      "rejection_note": "We couldn't accept the document because the file or photo that has been submitted cannot be read fully.",
      "rejection_reason": "Poor image quality"
    },
    "contract": {
      "id": "359pr8y"
    },
    "applicant": {
      "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
      "external_id": "123456"
    },
    "case_type": "Business Visa",
    "documents": [
      {
        "id": "5f5b3b3b-4b3b-4b3b-4b3b-4b3b3b3b3b3b",
        "status": "EXPIRING",
        "document_type": "Eu blue card",
        "expiration_date": "2023-10-31T13:45:30Z"
      }
    ],
    "visa_type": "Eu blue card",
    "created_at": "2023-10-31T13:45:30Z",
    "updated_at": "2023-10-31T13:45:30Z",
    "country_code": "DE",
    "estimated_completion_date": "2023-10-31T13:45:30Z"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/immigration/workers/cases/e9b4ce94-2e3e-4d41-9faf-1ad2389cac1d"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/immigration/workers/cases/e9b4ce94-2e3e-4d41-9faf-1ad2389cac1d';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/immigration/workers/cases/e9b4ce94-2e3e-4d41-9faf-1ad2389cac1d"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/immigration/workers/cases/e9b4ce94-2e3e-4d41-9faf-1ad2389cac1d")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/immigration/workers/cases/e9b4ce94-2e3e-4d41-9faf-1ad2389cac1d")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/immigration/workers/cases/e9b4ce94-2e3e-4d41-9faf-1ad2389cac1d', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/immigration/workers/cases/e9b4ce94-2e3e-4d41-9faf-1ad2389cac1d");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/immigration/workers/cases/e9b4ce94-2e3e-4d41-9faf-1ad2389cac1d")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```